// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.entities.ScaStatus;
public class GetScaStatusSimple {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-mangopay-client-id");
mangopay.getConfig().setClientPassword("your-mangopay-api-key");
String userId = "user_m_01JF7FKVP51PS3TYKCN79VZZ8M";
ScaStatus sca = mangopay.getUserApi().getScaStatus(userId);
System.out.println("User Status: " + sca.getUserStatus());
System.out.println("Enrolled: " + sca.getIsEnrolled());
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
const getUserScaStatus = async (userId) => {
return await mangopay.Users.getScaStatus(userId)
.then((response) => {
console.info('SCA Status:', response)
return response
})
.catch((err) => {
console.error('Error fetching SCA status:', err)
return false
})
}
getUserScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-mangopay-client-id'
client.client_apiKey = 'your-mangopay-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_user_sca_status(user_id)
begin
response = MangoPay::User.get_sca_status(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
get_user_sca_status("user_m_01JF7FKVP51PS3TYKCN79VZZ8M")
import mangopay
from mangopay.resources import ScaStatus
from pprint import pprint
mangopay.client_id = 'your-mangopay-client-id'
mangopay.apikey = 'your-mangopay-api-key'
sca_status = ScaStatus.get('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
pprint(vars(sca_status))
print(f"Is Enrolled: {sca_status.is_enrolled}")
print(f"Status: {sca_status.user_status}")
<?php
require_once 'vendor/autoload.php';
$api = new \MangoPay\MangoPayApi();
$api->Config->ClientId = 'your-mangopay-client-id';
$api->Config->ClientPassword = 'your-mangopay-api-key';
try {
$response = $api->Users->GetScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M');
print_r($response);
} catch(\Exception $e) {
print_r($e->getMessage());
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.GET;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-mangopay-client-id";
api.Config.ClientPassword = "your-mangopay-api-key";
try
{
var scaStatus = await api.Users.GetScaStatusAsync("user_m_01JF7FKVP51PS3TYKCN79VZZ8M");
string prettyPrint = JsonConvert.SerializeObject(scaStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
catch (Exception ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1753385619,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": "INACTIVE",
"RecipientRegistration": "INACTIVE",
"Transfer": "INACTIVE",
"ViewAccountInformation": "INACTIVE"
}
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1767102769,
"LastConsentCollectionDate": 1767102769,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": "ACTIVE",
"ViewAccountInformation": "ACTIVE"
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": true,
"LastEnrollmentDate": 1754654290,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": false,
"LastEnrollmentDate": null,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
Users
View the SCA status of a User
Retrieve SCA and consent information for a Natural or Legal User
GET
/
v2.01
/
{ClientId}
/
sca
/
users
/
{UserId}
/
sca-status
// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.entities.ScaStatus;
public class GetScaStatusSimple {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-mangopay-client-id");
mangopay.getConfig().setClientPassword("your-mangopay-api-key");
String userId = "user_m_01JF7FKVP51PS3TYKCN79VZZ8M";
ScaStatus sca = mangopay.getUserApi().getScaStatus(userId);
System.out.println("User Status: " + sca.getUserStatus());
System.out.println("Enrolled: " + sca.getIsEnrolled());
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
const getUserScaStatus = async (userId) => {
return await mangopay.Users.getScaStatus(userId)
.then((response) => {
console.info('SCA Status:', response)
return response
})
.catch((err) => {
console.error('Error fetching SCA status:', err)
return false
})
}
getUserScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-mangopay-client-id'
client.client_apiKey = 'your-mangopay-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_user_sca_status(user_id)
begin
response = MangoPay::User.get_sca_status(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
get_user_sca_status("user_m_01JF7FKVP51PS3TYKCN79VZZ8M")
import mangopay
from mangopay.resources import ScaStatus
from pprint import pprint
mangopay.client_id = 'your-mangopay-client-id'
mangopay.apikey = 'your-mangopay-api-key'
sca_status = ScaStatus.get('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
pprint(vars(sca_status))
print(f"Is Enrolled: {sca_status.is_enrolled}")
print(f"Status: {sca_status.user_status}")
<?php
require_once 'vendor/autoload.php';
$api = new \MangoPay\MangoPayApi();
$api->Config->ClientId = 'your-mangopay-client-id';
$api->Config->ClientPassword = 'your-mangopay-api-key';
try {
$response = $api->Users->GetScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M');
print_r($response);
} catch(\Exception $e) {
print_r($e->getMessage());
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.GET;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-mangopay-client-id";
api.Config.ClientPassword = "your-mangopay-api-key";
try
{
var scaStatus = await api.Users.GetScaStatusAsync("user_m_01JF7FKVP51PS3TYKCN79VZZ8M");
string prettyPrint = JsonConvert.SerializeObject(scaStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
catch (Exception ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1753385619,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": "INACTIVE",
"RecipientRegistration": "INACTIVE",
"Transfer": "INACTIVE",
"ViewAccountInformation": "INACTIVE"
}
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1767102769,
"LastConsentCollectionDate": 1767102769,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": "ACTIVE",
"ViewAccountInformation": "ACTIVE"
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": true,
"LastEnrollmentDate": 1754654290,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": false,
"LastEnrollmentDate": null,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
This endpoint returns information for an
OWNER user relating to:
- Whether or not they are enrolled in SCA – but if they never triggered an SCA enrollment, the endpoint returns a 404
- Their consent for your platform to take SCA-triggering actions by proxy, if activated for your platform
Path parameters
string
required
The unique identifier of the user.
Responses
200 - Response parameters
200 - Response parameters
string
Returned values:
PENDING_USER_ACTION, ACTIVE, CLOSEDThe status of the user:PENDING_USER_ACTION– The user must enroll in SCA before they can becomeACTIVE.ACTIVE– The user account is active and the user can access Mangopay features.CLOSED– The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions.
boolean
Whether or not the User has been enrolled in SCA. This value is
false before the User enrolls successfully for the first time. Once enrolled, this value remains true during re-enrollment (but the UserStatus changes to PENDING_USER_ACTION).Unix timestamp | null
The date and time of the last successful SCA enrollment, whether for the first time or a re-enrollment.
Unix timestamp | null
The date and time of the last modification to any of the 4 scopes, whether to give or revoke consent.
object
Whether or not the user has given consent to the proxy action scope via the SCA hosted experience:
ACTIVE- The has given consent by checking the corresponding checkbox.INACTIVE- The has not yet given consent or has revoked consent.null– The corresponding scope corresponding scope does not have proxy management configured for your platform.
ACTIVE, your platform can call the relevant endpoint with ScaContext set to USER_NOT_PRESENT to take the action under proxy.If a scope is INACTIVE, your platform has two options:- Call the relevant endpoint with the user on session to complete SCA by redirecting them using the returned
PendingUserAction.RedirectUrl. - Ask the user to give consent using the
PendingUserAction.RedirectUrlreturned by the POST Manage proxy consent for a User endpoint, then re-try the action withScaContextset toUSER_NOT_PRESENT.
Hide properties
Hide properties
string | null
The status of the user’s consent for your platform to update their SCA contact information on their behalf using:
- PUT Update a Natural User (SCA) to modify the
PhoneNumber,PhoneNumberCountry, orEmail - PUT Update a Legal User (SCA) to modify the
PhoneNumber,PhoneNumberCountry, orEmailof theLegalRepresentative
string | null
The status of the user’s consent for your platform to register an external bank or payment account on their behalf using:
string | null
The status of the user’s consent for your platform to initiate a transfer to another
OWNER user on their behalf using:string | null
The status of the user’s consent for your platform to retrieve wallet and transaction data on their behalf using:
404 - User hasn't started SCA enrollment (or doesn't exist)
404 - User hasn't started SCA enrollment (or doesn't exist)
{
"Message": "The ressource does not exist",
"Type": "ressource_not_found",
"Id": "ebaaf922-771a-4142-a7a2-59d6c1fb422e",
"Date": 1770130888.0,
"errors": null
}
400 - Not available for PAYER
400 - Not available for PAYER
{
"Message": "This endpoint is not allowed for User categorized as PAYER",
"Type": "not_allowed_for_user_category_payer",
"Id": "8d708172-0196-47d1-be84-0c0a14aff2d8",
"Date": 1765962571.0,
"errors": null
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1753385619,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": "INACTIVE",
"RecipientRegistration": "INACTIVE",
"Transfer": "INACTIVE",
"ViewAccountInformation": "INACTIVE"
}
}
{
"UserStatus": "ACTIVE",
"IsEnrolled": true,
"LastEnrollmentDate": 1767102769,
"LastConsentCollectionDate": 1767102769,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": "ACTIVE",
"ViewAccountInformation": "ACTIVE"
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": true,
"LastEnrollmentDate": 1754654290,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
{
"UserStatus": "PENDING_USER_ACTION",
"IsEnrolled": false,
"LastEnrollmentDate": null,
"LastConsentCollectionDate": null,
"ConsentScope": {
"ContactInformationUpdate": null,
"RecipientRegistration": null,
"Transfer": null,
"ViewAccountInformation": null
}
}
// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.entities.ScaStatus;
public class GetScaStatusSimple {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-mangopay-client-id");
mangopay.getConfig().setClientPassword("your-mangopay-api-key");
String userId = "user_m_01JF7FKVP51PS3TYKCN79VZZ8M";
ScaStatus sca = mangopay.getUserApi().getScaStatus(userId);
System.out.println("User Status: " + sca.getUserStatus());
System.out.println("Enrolled: " + sca.getIsEnrolled());
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
const getUserScaStatus = async (userId) => {
return await mangopay.Users.getScaStatus(userId)
.then((response) => {
console.info('SCA Status:', response)
return response
})
.catch((err) => {
console.error('Error fetching SCA status:', err)
return false
})
}
getUserScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-mangopay-client-id'
client.client_apiKey = 'your-mangopay-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_user_sca_status(user_id)
begin
response = MangoPay::User.get_sca_status(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
get_user_sca_status("user_m_01JF7FKVP51PS3TYKCN79VZZ8M")
import mangopay
from mangopay.resources import ScaStatus
from pprint import pprint
mangopay.client_id = 'your-mangopay-client-id'
mangopay.apikey = 'your-mangopay-api-key'
sca_status = ScaStatus.get('user_m_01JF7FKVP51PS3TYKCN79VZZ8M')
pprint(vars(sca_status))
print(f"Is Enrolled: {sca_status.is_enrolled}")
print(f"Status: {sca_status.user_status}")
<?php
require_once 'vendor/autoload.php';
$api = new \MangoPay\MangoPayApi();
$api->Config->ClientId = 'your-mangopay-client-id';
$api->Config->ClientPassword = 'your-mangopay-api-key';
try {
$response = $api->Users->GetScaStatus('user_m_01JF7FKVP51PS3TYKCN79VZZ8M');
print_r($response);
} catch(\Exception $e) {
print_r($e->getMessage());
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.GET;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-mangopay-client-id";
api.Config.ClientPassword = "your-mangopay-api-key";
try
{
var scaStatus = await api.Users.GetScaStatusAsync("user_m_01JF7FKVP51PS3TYKCN79VZZ8M");
string prettyPrint = JsonConvert.SerializeObject(scaStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
catch (Exception ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
Was this page helpful?
⌘I